//
// Copyright 2002-2005 Aspose Pty Ltd. All Rights Reserved.
//
// This file is part of Aspose.Pdf.Kit for Java. The source code in this file
// is only intended as a supplement to the documentation, and is provided
// "as is", without warranty of any kind, either expressed or implied.
//

package samples.editor;

import java.io.InputStream;
import com.aspose.pdf.kit.PdfFileEditor;
import java.io.FileInputStream;
import java.io.FileOutputStream;

public class ConcatenateMultiFiles {
  public ConcatenateMultiFiles() {
  }

  //Demonstrates concatenating multiple Pdf files.
  public static void main(String[] args) {
    try {
      String path = "./examples/resources/";
      //read the input files
      FileInputStream inStream1 = new FileInputStream(path + "example1.pdf");
      FileInputStream inStream2 = new FileInputStream(path + "example2.pdf");
      FileInputStream inStream3 = new FileInputStream(path + "example3.pdf");
      FileInputStream inStream4 = new FileInputStream(path + "example4.pdf");

      FileOutputStream outStream = new FileOutputStream(path + "PdfEditorOut2.pdf");

      //store the input streams
      InputStream[] inStreams = new InputStream[] {
          inStream1, inStream2, inStream3,
          inStream4};
      //concatenate the input files
      PdfFileEditor pdfEditor = new PdfFileEditor();
      pdfEditor.concatenate(inStreams, outStream);

      //close the output stream
      outStream.close();
    }
    catch (Exception ex) {
      System.out.println(ex.getMessage());
    }
  }
}
