//
// Copyright 2002-2005 Aspose Pty Ltd. All Rights Reserved.
//
// This file is part of Aspose.Pdf for Java. The source code in this file
// is only intended as a supplement to the documentation, and is provided
// "as is", without warranty of any kind, either expressed or implied.
//

package samples.form;

import com.aspose.pdf.kit.*;
import java.awt.Rectangle;

  //This demo shows how to fill XFA form field in Adobe 7.0 +
public class adobe7setting {
  //Set the test pdf file's path here:
  static String path = "./examples/resources/";

  public static void main(String[] args) {
    try {
      //Open the document and create a Form object
      Form form = new Form(path + "adobe7.pdf", path + "adobe7-out.pdf");
      
      //the field name can be full name, like this:
      form.setField("form1[0].#subform[0].TextField1[0]", "This is one line.");
      //the field name can also be short name, like this:
      form.setField("TextField2", "This is another new line.This is another new line.This is another new line.This is another new line.This is another new line.");
      form.setField("CheckBox1", "1");
      form.setField("RadioButtonList","2");
      form.setField("ListBox1", "ListItem 03");
      
      //Image can only be pasted on an Image Field, instead of any common Button Field:
      form.fillImageField("form1[0].#subform[2].ImageField1[0]", path + "watermark.jpg");

      form.close();
    }

    catch (Exception ex) {
      System.out.println(ex.toString());
    }
  }



}
