// Copyright 2002-2005 Aspose Pty Ltd. All Rights Reserved.
//
// This file is part of Aspose.Pdf.Kit for Java. The source code in this file
// is only intended as a supplement to the documentation, and is provided
// "as is", without warranty of any kind, either expressed or implied.
//
package samples.info;

import com.aspose.pdf.kit.PdfFileInfo;

public class MetaInfo {
  public MetaInfo() {
  }

//demonstrates showing how to get and set customized information of Pdf file.
  public static void main(String[] args) {
    try {
      String path = "./examples/resources/";
      
      String inFile = path + "example1.pdf";
      String outFile = path + "PdfInfoOut3.pdf";

      //Set Pdf file meta information
      PdfFileInfo pdfinfo = new PdfFileInfo(inFile);

      pdfinfo.setMetaInfo("path", "c:/documents");  

      pdfinfo.saveNewInfo(outFile);

      //Show Pdf file meta information.
      PdfFileInfo pdfinfo2 = new PdfFileInfo(outFile);

      String metaName = "path";
      String metaValue = pdfinfo2.getMetaInfo(metaName);
      
      System.out.println("Name is: " + metaName);
      System.out.println("Value is: " + metaValue);
    }
    catch (Exception ex) {
      System.out.println(ex.getMessage());
    }
  }
}