//
// Copyright 2002-2005 Aspose Pty Ltd. All Rights Reserved.
//
// This file is part of Aspose.Pdf.Kit for Java. The source code in this file
// is only intended as a supplement to the documentation, and is provided
// "as is", without warranty of any kind, either expressed or implied.
//
package samples.stamp;

import java.awt.Color;

import com.aspose.pdf.kit.EncodingType;
import com.aspose.pdf.kit.FontStyle;
import com.aspose.pdf.kit.FormattedText;
import com.aspose.pdf.kit.PdfFileStamp;

public class AddPageNumber {
  public AddPageNumber() {
  }

  public static void main(String[] args) {
    String path = "./examples/resources/";
    String inFile = path + "text.pdf";
    String outFile = path + "textwithpagenumber.pdf";
    PdfFileStamp fileStamp = null;

    try {
      fileStamp = new PdfFileStamp(inFile, outFile);
      //add page number
      //fileStamp.addPageNumber("Page # .");
      fileStamp.addPageNumber(new FormattedText("Page # .",
      		new Color(0,0,100),FontStyle.CourierBold,EncodingType.Winansi, false, 10));    
      fileStamp.close();
    }
    catch (Exception ex) {
      System.out.println(ex.getMessage());
    }
  }
}
