//
//Copyright 2002-2005 Aspose Pty Ltd. All Rights Reserved.
//
//This file is part of Aspose.Pdf.Kit for Java. The source code in this file
//is only intended as a supplement to the documentation, and is provided
//"as is", without warranty of any kind, either expressed or implied.
//
package samples.stamp;

import java.awt.Color;
import com.aspose.pdf.kit.PdfFileStamp;
import com.aspose.pdf.kit.FormattedText;
import com.aspose.pdf.kit.FontStyle;
import com.aspose.pdf.kit.EncodingType;
import com.aspose.pdf.kit.Stamp;

public class NewStampWay {
public NewStampWay() {
}

public static void main(String[] args) {
	 String path = "./examples/resources/";
	 String inFile = path + "text.pdf";
	 String outFile = path + "stamp2.pdf";
	 PdfFileStamp fileStamp = null;

	 try {
	   fileStamp = new PdfFileStamp(inFile, outFile);
	
	   Stamp logoStamp = new Stamp();
	   FormattedText ft = new FormattedText("Hello World!", 
	   		new Color(180, 0, 0), FontStyle.TimesRoman, EncodingType.Winansi, false, 30);
	   ft.addNewLineText("Hello Aspose.Pdf.Kit!");
	   logoStamp.bindLogo(ft);
	   logoStamp.setRotation(45);
	   
	   Stamp watermarkStamp = new Stamp();
	   watermarkStamp.bindImage(path + "imgLogoPDFKit.gif");
	   watermarkStamp.setOrigin(100, 50);
	   watermarkStamp.setRotation(15);
	   watermarkStamp.setOpacity(0.5f);
	   
	   Stamp backgroundStamp = new Stamp();
	   backgroundStamp.bindImage(path + "butterfly.jpg");
	   backgroundStamp.setImageSize(100,100);
	   backgroundStamp.setOrigin(200,200);
	   backgroundStamp.isBackground(true);
	   
	   Stamp pdfFileStamp = new Stamp();
	   pdfFileStamp.bindPdf(path + "Online.pdf", 1);
	   pdfFileStamp.isBackground(true);
	   pdfFileStamp.setOpacity(0.5f);
	   
	   fileStamp.addStamp(logoStamp);
	   fileStamp.addStamp(watermarkStamp);
	   fileStamp.addStamp(backgroundStamp);
	   fileStamp.addStamp(pdfFileStamp);
	   fileStamp.close();
	 }
	 catch (Exception ex) {
	   System.out.println(ex.getMessage());
	 }
	}
}
